<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.ldt.user.mapper.LoginUserMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="loginUserResultMap" type="org.springblade.ldt.user.entity.LoginUser">
        <id column="id" property="id"/>
        <result column="channel_point" property="channelPoint"/>
        <result column="balance" property="balance"/>
        <result column="phone" property="phone"/>
        <result column="openid" property="openid"/>
        <result column="avatar" property="avatar"/>
        <result column="nick_name" property="nickName"/>
        <result column="sex" property="sex"/>
        <result column="birth" property="birth"/>
        <result column="total_value" property="totalValue"/>
        <result column="agent" property="agent"/>
    </resultMap>


    <select id="selectLoginUserPage" resultMap="loginUserResultMap">
        select * from ldt_login_user where is_deleted = 0
    </select>

</mapper>
